#!/bin/sh
# See COPYING file in this directory for copyright and license details.
#
# Runs all tests and summarises results.
# 
# Run createtestenv.py before running these tests for the first time.

. ./oesettings

tests='
       newpurchaseorder.py
       receivepacking.py
       newsaleorder.py
       sendpacking.py
       newinvoice.py
       removetestthings.py
      '

ret=0

for i in $tests
do
	printf "%s " "$i"
	python "$i" "$host" "$dbname" "$oeuser" "$oepass" > /dev/null 2>&1
	if test $? -ne 0
	then
		echo "failed (run test separately for more details)"
		ret=1
	else
		echo "succeeded"
	fi
done

exit $ret
